Subject: Re: [syzbot] [net?] [nfc?] INFO: task hung in nfc_rfkill_set_block

From: syzbot <[email-masked]>
Date: Tue, 21 Nov 2023 02:55:04 -0800

syzbot suspects this issue was fixed by commit:

commit 2c3dfba4cf84ac4f306cc6653b37b6dd6859ae9d
Author: Johannes Berg <[email-masked]>
Date:   Thu Sep 14 13:45:17 2023 +0000

    rfkill: sync before userspace visibility/changes

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10d68677680000
start commit:   ae8373a5add4 Merge tag 'x86_urgent_for_6.4-rc4' of git://g..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=927d4df6d674370e
dashboard link: https://syzkaller.appspot.com/bug?extid=3e3c2f8ca188e30b1427
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1099e2c5280000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=113f66b1280000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: rfkill: sync before userspace visibility/changes

For information about bisection process see: https://goo.gl/tpsmEJ#bisection